List Quotes
Lists Quotes inside the organization boundary with endpoint-declared filters, safe relations, customFields, and External References. Supply externalSystem, externalObject, and externalId together to filter by a canonical External Reference. Required scope: quotes:read.
Lists Quotes inside the organization boundary with endpoint-declared filters, safe relations, customFields, and External References. Supply externalSystem, externalObject, and externalId together to filter by a canonical External Reference. Required scope: quotes:read.
Organization API key. Format: Bearer sk_live_...
In: header
Query Parameters
Maximum records to return. Defaults to 50 and is capped at 100.
1 <= value <= 10050Opaque record cursor from the previous response meta.nextCursor value.
Sort direction. Defaults to desc.
"desc"Value in
- "asc"
- "desc"
Filter by exact Quote status.
Value in
- "DRAFT"
- "PENDING_APPROVAL"
- "SENT"
- "VIEWED"
- "ACCEPTED"
- "REJECTED"
- "EXPIRED"
- "CANCELLED"
Filter by Customer id.
Filter by Property id.
Filter by Opportunity id.
Filter by owner Team Member id.
Filter by Company Quote Type id.
External Reference system filter. Supply with externalObject and externalId for exact reconciliation lookup.
External Reference object filter. Supply with externalSystem and externalId.
External Reference id filter. Supply with externalSystem and externalObject.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/quotes"{ "data": [ {} ], "meta": { "nextCursor": "string", "hasMore": true, "requestId": "string", "version": "v1", "timestamp": "2019-08-24T14:15:22Z", "rateLimit": { "limit": 0, "remaining": 0, "reset": 0 } }}